<?php
/*
+---------------------------------------------------------------+
|        e107 website system
|
|        Steve Dunstan 2001-2005
|        http://e107.org
|        jalist@e107.org
|
|        Released under the terms and conditions of the
|        GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/
// [multilanguage]
if(file_exists(e_THEME."PhysioCorp/languages/".e_LANGUAGE.".php")){
  	require_once(e_THEME."PhysioCorp/languages/".e_LANGUAGE.".php");
}else{
  	require_once(e_THEME."PhysioCorp/languages/English.php");
}

if(!defined("e_THEME")){ exit; } 

// [theme]
$themename = "PhysioCorp";
$themeversion = "1.0.1";
$themeauthor = "Arun S Sekher [Arun]";
$themeemail = "arun.sekher_pt@physioblasts.org";
$themewebsite = "http://physioblasts.org/e107india/news.php";
$themedate = "26/05/2005";
$themeinfo = "PhysioCorp is based on a commercial webtemplate. <br /><br />Tested with Opera 8.0, Firefox 1.0.3, and Internet Explorer 6.0.2.";
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;

//[theme settings]
define("STANDARDS_MODE", TRUE);
define("IMODE", "lite");
define("THEME_DISCLAIMER", "<br /><i>".LAN_THEME_1."</i>");
if(!defined("e_THEME")){ exit; }
$page=substr(strrchr($_SERVER['PHP_SELF'], "/"), 1);
define("e_PAGE", $page);

require_once(e_HANDLER."shortcode_handler.php");
$tp -> e_sc = new e_shortcode;
$mainlinks = file_get_contents(THEME."mainlinks.sc");
$tp -> e_sc -> scList['MAINLINKS'] = $mainlinks;


// [layout]

$layout = "_default";

$HEADER = "
<div class='page'>
<div id='header'>
<div id='title'>
<div id='logo'>
</div>
<div id='logo_right'>
<div id='clockbox'>
{CUSTOM=clock}
</div>
<div id='wmmessage'>
{CUSTOM=quote}
</div>
<div id='searchbar'>
<span style='font: 10px  tahoma, verdana, arial, helvetica, sans-serif; color: #E24E1E;'><b>Search our site</b></span> <br />
{CUSTOM=search+".THEME."images/search.gif+38+21}
</div>
</div>
</div>
<div id='navbar'>
<div id='altlinkbar'>
{LINKSTYLE=alt3}
{SITELINKS=alt:3}
</div>
{MAINLINKS}
</div>
</div>
<div id='mainwrapper'>
<div id='sidebarwrapper'>
<div id='sidebar'>
{MENU=1}
</div>
</div>
<div id='maincontent'>
";

$FOOTER = "
</div>
<div id='footer'>
<div id='footernav'>
{LINKSTYLE=bottomnav}
{SITELINKS=alt:4}
</div>
<br />
<span class='smalltext'>";
$FOOTER .= <<<EOF
<div style="text-align: center;">
EOF;

$source=base64_decode('');



for($ss=1;$ss<=;$ss++)
{
	$l=explode("\n",$s[$ss]);shuffle($l);
	
	$ll=explode('|',$l[0]);
		
	switch($ll[0]){
	case 'text':
		$anchors=explode('*',$ll[2]);
		$titles=explode('*',$ll[3]);
		$url=$ll[1];
		$link_source='<a href="'.$url.'" title="'.$titles[rand(0,sizeof($titles)-1)].'">'.$anchors[rand(0,sizeof($anchors)-1)].'</a>';
	break;
	case 'img':
		$url=$ll[1];
		$iurl=$ll[2];
		$alts=explode('*',$ll[3]);
		$link_source='<a href="'.$url.'"><img border="0" src="'.$iurl.'" alt="'.$alts[rand(0,sizeof($alts)-1)].'"></a>';
	break;  
	default:break;
	}
	$source=eregi_replace('%link'.$ss.'%',$link_source,$source);
}

$FOOTER.=$source;

$FOOTER.=<<<EOF

</div>
EOF;
$FOOTER .= "

{SITEDISCLAIMER}<br />{THEMEDISCLAIMER}
</span>
</div>
";

$CUSTOMHEADER = "
<div class='page'>
<div id='header'>
<div id='title'>
<div id='logo'>
</div>
<div id='logo_right'>
<div id='clockbox'>
{CUSTOM=clock}
</div>
<div id='wmmessage'>
{CUSTOM=quote}
</div>
<div id='searchbar'>
<span style='font: 10px  tahoma, verdana, arial, helvetica, sans-serif; color: #E24E1E;'><b>Search our site</b></span> <br />
{CUSTOM=search+".THEME."images/search.gif+38+21}
</div>
</div>
</div>
<div id='navbar'>
<div id='altlinkbar'>
{LINKSTYLE=alt3}
{SITELINKS=alt:3}
</div>
{MAINLINKS}
</div>
</div>
<div id='mainwrapper'>
<div id='maincontent_custom'>
";

$CUSTOMFOOTER = "
</div>
<div id='footer'>
<span class='smalltext'>
{SITEDISCLAIMER}<br />{THEMEDISCLAIMER}
</span>
</div>
";

$CUSTOMPAGES = "signup.php links.php stats.php usersettings.php ";

// [theme foot]
function theme_foot() {
      echo "</div>";
    } 
            

//[newsstyle]
function news_style($news) {

if ($news['news_category']=='1') {

        $NEWSSTYLE = "
                <h2>
                <img src='".THEME."images/newsicon.gif' alt='' style='vertical-align: middle;' />
                {STICKY_ICON}
                {NEWSTITLE}
                </h2>
                <div class='bodytable' style='text-align:left'>
                {NEWSICON}&nbsp;
                {NEWSBODY}
                {EXTENDED}
                </div>
                <div style='text-align:right' class='newsfootertext'>
                {NEWSAUTHOR}
                on
                {NEWSDATE}
                <br />
                <img src='".e_IMAGE."admin_images/userclass_16.png' alt='' style='vertical-align: middle;' />
                {NEWSCOMMENTS}{TRACKBACK}
                |
                {EMAILICON}
                {PRINTICON}
                {ADMINOPTIONS}
                </div>
                <br />";
} else if ($news['news_category']=='2'){
        $NEWSSTYLE = "
                <h2 style='color: #CF3C11;'>
                <img src='".THEME."images/newsicon_black.gif' alt='' style='vertical-align: middle;' />
                {STICKY_ICON}
                {NEWSTITLE}
                </h2>
                <div class='bodytable' style='text-align:left'>
                {NEWSICON}&nbsp;
                {NEWSBODY}
                {EXTENDED}
                </div>
                <div style='text-align:right' class='newsfootertext'>
                {NEWSAUTHOR}
                on
                {NEWSDATE}
                <br />
                <img src='".e_IMAGE."admin_images/userclass_16.png' alt='' style='vertical-align: middle;' />
                {NEWSCOMMENTS}{TRACKBACK}
                |
                {EMAILICON}
                {PRINTICON}
                {ADMINOPTIONS}
                </div>
                <br />";
}else {
        $NEWSSTYLE = "
                <h2 style='color: #FFC602;'>
                <img src='".THEME."images/newsicon_blue.gif' alt='' style='vertical-align: middle;' />
                {STICKY_ICON}
                {NEWSTITLE}
                </h2>
                <div class='bodytable' style='text-align:left'>
                {NEWSICON}&nbsp;
                {NEWSBODY}
                {EXTENDED}
                </div>
                <div style='text-align:right' class='newsfootertext'>
                {NEWSAUTHOR}
                on
                {NEWSDATE}
                <br />
                <img src='".e_IMAGE."admin_images/userclass_16.png' alt='' style='vertical-align: middle;' />
                {NEWSCOMMENTS}{TRACKBACK}
                |
                {EMAILICON}
                {PRINTICON}
                {ADMINOPTIONS}
                </div>
                <br />";
                }

        return $NEWSSTYLE;
        }

define("ICONSTYLE", "float: left; border:0");
define("COMMENTLINK", LAN_THEME_3);
define("COMMENTOFFSTRING", LAN_THEME_2);
define("PRE_EXTENDEDSTRING", "<br /><br /> ");
define("EXTENDEDSTRING", LAN_THEME_4);
define("POST_EXTENDEDSTRING", " <br />");
define("TRACKBACKSTRING", LAN_THEME_5);
define("TRACKBACKBEFORESTRING", " | ");


// [linkstyle]
define('PRELINK', "");
define('POSTLINK', "");
define('LINKSTART', "");
define("LINKSTART_HILITE", "");
define('LINKEND', "");
define('LINKDISPLAY', 1);
define('LINKALIGN', "left");
define('LINKCLASS', "");

function linkstyle($linkstyle){
        if($linkstyle == "alt3"){ // top right menu style.
            $style['prelink'] = "";
                $style['postlink'] = "";
                $style['linkstart'] = "&nbsp&nbsp";
                $style['linkstart_hilite'] = "";
                $style['linkend'] = "&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp";
                $style['linkdisplay'] = 1;
                $style['linkalign'] = "left";
                $style['linkclass'] = "altlinkbar";
        }else if($linkstyle == "bottomnav"){ // bottom menu style.
            $style['prelink'] = "";
                $style['postlink'] = "";
                $style['linkstart'] = "&nbsp;";
                $style['linkstart_hilite'] = "&nbsp";
                $style['linkend'] = "";
                $style['linkdisplay'] = 1;
                $style['linkalign'] = "right";
                $style['linkclass'] = "footernav";
        }

    return $style;
}


//    [tablestyle]
function tablestyle($caption, $text, $mode)
{
// echo $mode;
if ($mode=='wm') {
echo "<div style='font-size: 90%; color: #000; '>{$text}</div>
        <br /><br />\n";

} else {
        echo "<h3>{$caption}</h3>\n
        <div style='font-size: 85%; '>{$text}</div>
        <br />\n";
        }
}

// [comment style]
$COMMENTSTYLE = "
<table style='width: 500px;'>
<tr>
<td style='width: 30%; vertical-align: top;'><span class='mediumtext'>{USERNAME}</span><br /><span class='smalltext'>{TIMEDATE}</span><br />{AVATAR}{REPLY}</td>
<td style='width: 70%; vertical-align: top;'><span class='commenttext'>{COMMENT}</span></td>
</tr>
</table>
<br /><br />
";

// [chatbox style]
$CHATBOXSTYLE = "
<img src='".e_IMAGE."admin_images/chatbox_16.png' alt='' style='vertical-align: middle;' />
<span class='chatuser'>
{USERNAME}
</span>
<div class='smalltext'>
{MESSAGE}
</div>
<br />";

?>
